<template>
  <div class="page-wrapper">
    <TheNav />
    <div class="container">
      <router-view />
    </div>
  </div>
</template>

<script setup lang="ts">
import { RouterView } from "vue-router";
import TheNav from "@/components/TheNav.vue";
</script>

<style scoped lang="scss">
.page-wrapper {
  @media (min-width: 1024px) {
    padding-left: 190px;
    animation-duration: 0.3s;
  }

  .container {
    max-width: 1280px;
    width: 100%;
    margin: 0 auto;
    padding: 48px 12px 40px;

    @media (min-width: 1024px) {
      padding: 20px;
    }
  }
}
</style>
